Holger's Java API

## com.antelmann.util.logging
Class ConsoleLog

    java.lang.Object
      com.antelmann.util.logging.AbstractLogWriter<String>
          com.antelmann.util.logging.AppendableLogWriter
              com.antelmann.util.logging.ConsoleLog

All Implemented Interfaces:
  Filter<LogEntry>, LogWriter, Wrapped<Appendable>

    public class ConsoleLog

extends AppendableLogWriter

ConsoleLog prints abbreviated log messages to the console using `System.out.println()`. By default, this method writes a short version of the entry to the console. The default format used here is a special formatter derived from `createDefaultFormatter(String)`. ConsoleLog logs synchronously.

Author:
  Holger Antelmann
See Also:
  `LogException`, `Logger`, `LogEntry`

Field Summary

Fields inherited from class com.antelmann.util.logging.AbstractLogWriter
`filter`

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`ConsoleLog()`
`ConsoleLog(LogEntryFormatter<String> formatter)`
`ConsoleLog(String prefix)`

Method Summary
`static LogEntryFormatter<String>` `createDefaultFormatter(String prefix)`

Methods inherited from class com.antelmann.util.logging.AppendableLogWriter
`getAppendable, unwrap, writeLogPattern`

Methods inherited from class com.antelmann.util.logging.AbstractLogWriter
`accept, getLogFilter, getLogFormatter, setLogFilter, setLogFormatter, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleLog

    public ConsoleLog()

### ConsoleLog

    public ConsoleLog(String prefix)

### ConsoleLog

    public ConsoleLog(LogEntryFormatter<String> formatter)

Method Detail

### createDefaultFormatter

    public static LogEntryFormatter<String> createDefaultFormatter(String prefix)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads